package com.gtiit.shr.entity.vo;

public class CountVo {
    private Integer successTotal = 0;
    private Integer totalCount = 0;
    private Integer nullTotal = 0;


    public Integer getSuccessTotal() {
        return this.successTotal;
    }

    public Integer getTotalCount() {
        return this.totalCount;
    }

    public Integer getNullTotal() {
        return this.nullTotal;
    }

    public void setSuccessTotal(final Integer successTotal) {
        this.successTotal = successTotal;
    }

    public void setTotalCount(final Integer totalCount) {
        this.totalCount = totalCount;
    }

    public void setNullTotal(final Integer nullTotal) {
        this.nullTotal = nullTotal;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof CountVo)) {
            return false;
        } else {
            CountVo other = (CountVo)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label47: {
                    Object this$successTotal = this.getSuccessTotal();
                    Object other$successTotal = other.getSuccessTotal();
                    if (this$successTotal == null) {
                        if (other$successTotal == null) {
                            break label47;
                        }
                    } else if (this$successTotal.equals(other$successTotal)) {
                        break label47;
                    }

                    return false;
                }

                Object this$totalCount = this.getTotalCount();
                Object other$totalCount = other.getTotalCount();
                if (this$totalCount == null) {
                    if (other$totalCount != null) {
                        return false;
                    }
                } else if (!this$totalCount.equals(other$totalCount)) {
                    return false;
                }

                Object this$nullTotal = this.getNullTotal();
                Object other$nullTotal = other.getNullTotal();
                if (this$nullTotal == null) {
                    if (other$nullTotal != null) {
                        return false;
                    }
                } else if (!this$nullTotal.equals(other$nullTotal)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof CountVo;
    }

    public int hashCode() {
        boolean PRIME = true;
        int result = 1;
        Object $successTotal = this.getSuccessTotal();
        result = result * 59 + ($successTotal == null ? 43 : $successTotal.hashCode());
        Object $totalCount = this.getTotalCount();
        result = result * 59 + ($totalCount == null ? 43 : $totalCount.hashCode());
        Object $nullTotal = this.getNullTotal();
        result = result * 59 + ($nullTotal == null ? 43 : $nullTotal.hashCode());
        return result;
    }

    public String toString() {
        return "CountVo(successTotal=" + this.getSuccessTotal() + ", totalCount=" + this.getTotalCount() + ", nullTotal=" + this.getNullTotal() + ")";
    }
}
